/*********************
START: PUBLIC
*********************/
:root {
  --direction: ltr;
  --font-family: "CircularXXWeb";

  --baseLight-color: #ffffff;
  --baseDark-color: #000000;
  --primary-color: #131176;
  --bg-color: #f2f2f2;

  /* --border-radius-8: 8px;
    --border-radius-12: 12px; */
  --border-radius-16: 16px;
  --border-radius-100: 100px;

  /* font-size */
  --text-xs: 0.75rem;
  /* 12px */
  --text-sm: 0.875rem;
  /* 14px */
  --text-base: 1rem;
  /* 16px */
  --text-lg: 1.125rem;
  /* 18px */
  --text-xl: 1.25rem;
  /* 20px */
  --text-2xl: 1.5rem;
  /* 24px */
  --text-3xl: 1.875rem;
  /* 30px */
  --text-4xl: 2.25rem;
  /* 36px */
  --text-5xl: 3rem;
  /* 48px */
  --text-6xl: 3.5rem;
  /* 56px */
  --text-7xl: 3.75rem;
  /* 60px */
}

html {
  margin-top: 0 !important;
}

body {
  margin: 0;
  padding: 0;
  font-family: var(--font-family);
  direction: var(--direction);
  overflow-x: hidden !important;
  overscroll-behavior-x: none;
  background-color: var(--baseDark-color);
}

/* title & text */
.center {
  text-align: center;
}

.light {
  color: var(--baseLight-color);
}

.dark {
  color: var(--baseDark-color);
}

.supTitle {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 13px;
  font-weight: 500;
  line-height: auto;
  letter-spacing: 0px;
  border-radius: 21px;
  padding: 0.25rem 0.75rem;
  text-transform: uppercase;
  width: max-content;
}

.supTitle--dark {
  color: var(--baseDark-color);
  border: 1px solid var(--baseDark-color);
}

.supTitle--light {
  color: var(--baseLight-color);
  border: 1px solid var(--baseLight-color);
}

/* font-size: 64px; */
.title--middle {
  font-size: 64px;
  font-weight: 500;
  font-style: normal;
  line-height: 68px;
  letter-spacing: -2.02px;
}

/* font-size: 52px; */
.title--small {
  font-size: 52px;
  font-weight: 500;
  line-height: 60px;
  font-style: normal;
  letter-spacing: -2.02px;
}

/* font-size: 48px; */
.title--XSmall {
  font-size: 48px;
  font-weight: 500;
  line-height: auto;
  font-style: normal;
  letter-spacing: -2.02px;
}

/* font-size: 24px; */
.text--middle {
  font-size: 24px;
  font-weight: 400;
  line-height: 32px;
  letter-spacing: -0.2px;
  font-style: normal;
}

/* button */
.btn {
  position: relative;
  cursor: pointer;
  overflow: hidden;
  border-radius: var(--border-radius-100);
  padding: 0.75rem 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 500;
}

.btn--icon {
  column-gap: 1rem;
}

.btn--icon img {
  width: 24px;
  height: 24px;
}

.btn--fill__black {
  background: var(--baseDark-color);
  color: var(--baseLight-color);
  transition: all 0.3s;
}

.btn--fill__black:hover {
  transition: all 0.3s;
  background:
    linear-gradient(
      0deg,
      rgba(255, 255, 255, 0.15) 0%,
      rgba(255, 255, 255, 0.15) 100%
    ),
    #000;
}

.btn--outline__black {
  color: var(--baseDark-color);
  border: 1px solid var(--baseDark-color);
  background: transparent;
  transition: all 0.3s ease;
}

.btn--outline__black:hover {
  transition: all 0.3s ease;
  background: rgba(0, 0, 0, 0.1);
}

.btn--fill__primary {
  background: var(--primary-color);
  color: var(--baseLight-color);
  transition: all 0.3s;
}

.btn--fill__primary:hover {
  transition: all 0.3s;
  background:
    linear-gradient(
      0deg,
      rgba(255, 255, 255, 0.15) 0%,
      rgba(255, 255, 255, 0.15) 100%
    ),
    var(--primary-color);
}

.btn--fill__red {
  background: red;
  color: var(--baseLight-color);
  transition: all 0.3s;
}

.btn--fill__red:hover {
  transition: all 0.3s;
  background:
    linear-gradient(
      0deg,
      rgba(255, 255, 255, 0.15) 0%,
      rgba(255, 255, 255, 0.15) 100%
    ),
    red;
}

.btn--fill__white {
  background: var(--baseLight-color);
  color: var(--baseDark-color);
  transition: all 0.3s;
}

.btn--fill__white:hover {
  transition: all 0.3s;
  background: rgba(255, 255, 255, 0.9);
}

/* container and its media  */
.container {
  width: 100%;
  display: grid;
  grid-template-columns: 1fr 1320px 1fr;
  grid-template-areas: ". content .";
}

.container > * {
  grid-area: content;
}

@media screen and (min-width: 1920px) {
  .container {
    grid-template-columns: 1fr 1696px 1fr;
  }
}

@media screen and (min-width: 1728px) and (max-width: 1919px) {
  .container {
    grid-template-columns: 1fr 1504px 1fr;
  }
}

@media screen and (min-width: 1512px) and (max-width: 1727px) {
  .container {
    grid-template-columns: 1fr 1440px 1fr;
  }
}

@media screen and (min-width: 1440px) and (max-width: 1511px) {
  .container {
    grid-template-columns: 1fr 1330px 1fr;
  }
}

@media screen and (min-width: 1320px) and (max-width: 1439px) {
  .container {
    grid-template-columns: 1fr 1310px 1fr;
  }
}

@media screen and (min-width: 1200px) and (max-width: 1319px) {
  .container {
    grid-template-columns: 1fr 1140px 1fr;
  }
}

@media screen and (min-width: 993px) and (max-width: 1199px) {
  .container {
    grid-template-columns: 1fr 970px 1fr;
  }
}

@media screen and (min-width: 769px) and (max-width: 992px) {
  .container {
    grid-template-columns: 1fr 750px 1fr;
  }
}

@media screen and (max-width: 768px) {
  .container {
    grid-template-columns: 1fr 90% 1fr;
  }
}

@media screen and (max-width: 576px) {
  .container {
    grid-template-columns: 1fr calc(100% - 40px) 1fr;
  }
}

/*********************
END: PUBLIC
*********************/

/*********************
START: HEADER
*********************/
.header {
  backdrop-filter: blur(12px);
  padding-block: 24px;
  z-index: 1000;
  position: fixed;
  background-color: transparent;
}

.header .header--content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  max-width: 1200px;
  margin-inline: auto;
}

.header--logo img {
  height: 23.438px;
  width: 105.469px;
  filter: invert(1);
}
.header--btn__container {
  display: flex;
  align-items: center;
  gap: 1rem;
  flex-wrap: wrap;
}

.header--btn {
  background-color: var(--baseLight-color);
  color: var(--baseDark-color);
  border: none;
  border-radius: 100px;
  padding: 10px 12px;
  font-family: "CircularXXWeb", sans-serif;
  font-weight: 700;
  font-size: 16px;
  cursor: pointer;
}

.header--btn__container .btn--outline__black {
  color: var(--baseLight-color);
  border: 1px solid var(--baseLight-color);
}

.header--btn__container .btn--outline__black img {
  margin-inline-end: 0.25rem;
  filter: invert(1);
}

.header--btn__container .btn--outline__black span {
  font-size: var(--text-base);
  font-weight: 500;
  margin-inline-start: 0.5rem;
  line-height: auto;
  letter-spacing: 0px;
  color: rgba(255, 255, 255, 0.5);
}

/*********************
END: HEADER
*********************/

/*********************
START: HERO
*********************/
.hero {
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.hero--content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 100vh;
  max-width: 1200px;
  margin-inline: auto;
  width: 100%;
}

/* hero--img */
.hero--img {
  width: 55%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.hero--img picture,
.hero--img img {
  width: 100%;
}

/* hero--text */
.hero--text {
  width: 40%;
  display: flex;
  flex-direction: column;
}

.hero--text h4 {
  line-height: 48;
  letter-spacing: -2.5%;
  margin-block-end: 0;
}

.hero--text p {
  color: rgba(255, 255, 255, 0.7);
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  letter-spacing: -0.4px;
  margin-block: 1.5rem;
}

.hero--text a.btn {
  width: max-content;
  padding: 10px 16px;
}

/*********************
END: HERO
*********************/

/*********************
START:  SERVICE VIDEO
*********************/
.serviceVideo {
  padding-block: 2rem 128px;
}

.serviceVideo video,
.serviceVideo iframe {
  max-width: 960px;
  width: 100%;
  height: 100%;
  aspect-ratio: 16/9;
  background: #1c1c1c;
  margin-inline: auto;
  display: block;
}

/*********************
END: SERVICE VIDEO
*********************/

/*********************
START: REALITY
*********************/

.reality {
  background: linear-gradient(135deg, #ada1ca 0%, #b8afd4 100%);
  padding-block: 200px;
  position: relative;
}

.reality--content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  max-width: 1200px;
  width: 100%;
  margin-inline: auto;
}

.reality--text {
  width: 42%;
  display: flex;
  flex-direction: column;
}

.reality--text > span {
  font-size: 20px;
  font-style: normal;
  font-weight: 500;
  line-height: 32px;
  letter-spacing: -0.2px;
  text-transform: uppercase;
}

.reality--text h2 {
  line-height: 1.1;
  letter-spacing: -2.5px;
  margin-block: 0.5rem 1.5rem;
}

.reality--text p {
  font-size: var(--text-xl);
  font-weight: 400;
  line-height: 1.6;
  color: rgba(255, 255, 255, 0.8);
  margin: 0;
}

.reality--img {
  width: 49%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.reality--img picture,
.reality--img img {
  width: 100%;
}

/*********************
END: REALITY
*********************/

/*********************
START: SHIFT
*********************/

.shift {
  padding-block: 128px;
  position: relative;
}

.shift--content {
  display: flex;
  align-items: center;
  flex-direction: row-reverse;
  justify-content: space-between;
  max-width: 1200px;
  width: 100%;
  margin-inline: auto;
}

.shift--text {
  width: 49%;
  display: flex;
  flex-direction: column;
}

.shift--text > span {
  font-size: 20px;
  font-style: normal;
  font-weight: 500;
  line-height: 32px;
  letter-spacing: -0.2px;
  text-transform: uppercase;
}

.shift--text h2 {
  line-height: 1.1;
  letter-spacing: -2.5px;
  margin-block: 0.5rem 1.5rem;
}

.shift--text p {
  font-size: var(--text-xl);
  font-weight: 400;
  line-height: 1.6;
  color: rgba(255, 255, 255, 0.7);
  margin: 0;
}

.shift--img {
  width: 42%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.shift--img picture,
.shift--img img {
  width: 100%;
}

/*********************
END: SHIFT
*********************/

/*********************
START: WORKFLOW
*********************/

.workflow {
  background-color: #f2f2f2;
  padding-block: 128px;
}

.workflow--content {
  max-width: 1152px;
  margin-inline: auto;
  width: 100%;
}

.workflow--header {
  text-align: center;
  margin-bottom: 64px;
}

.workflow--header h3 {
  line-height: 70px;
  letter-spacing: -2.5px;
}

.workflow--header p {
  line-height: 30px;
  letter-spacing: -0.4px;
  color: rgba(0, 0, 0, 0.7);
  margin-block-start: 1rem;
}

.workflow--grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 24px;
  list-style: none;
  padding: 0;
  margin: 0;
}

.workflow--card {
  background-color: var(--baseLight-color);
  padding: 24px;
  height: 280px;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.workflow--card-title {
  font-size: 32px;
  font-weight: 500;
  line-height: normal;
  letter-spacing: -1px;
  color: #000;
  margin: 0;
}

.workflow--card-description {
  font-size: 18px;
  font-weight: 400;
  line-height: 24px;
  color: rgba(0, 0, 0, 0.54);
  margin: 0;
}

/*********************
END: WORKFLOW
*********************/

/*********************
START: STARTED
*********************/
.started {
  background-color: var(--baseLight-color);
  padding-block: 128px;
}

.started--content {
  max-width: 1152px;
  margin-inline: auto;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.started--text,
.started--form {
  width: 48%;
}

.started--text h5 {
  letter-spacing: -2.017px;
}

.started--text p {
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 22px;
  color: rgba(0, 0, 0, 0.6);
  margin-block-start: 1rem;
}

/*********************
END: STARTED
*********************/

/*********************
START: AWARDS
*********************/
.awards {
  position: relative;
  padding-block: 128px;
  background-color: var(--baseDark-color);
}

.awards--content {
  display: flex;
  position: relative;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  row-gap: 4rem;
}

.awards--content img {
  max-width: 978px;
  width: 100%;
  margin-inline: auto;
}

.awards::before {
  top: 0;
  left: 50%;
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  transform: translateX(-50%);
  background-repeat: no-repeat;
  background-image: url("../img/bg-awards.svg");
}

/*********************
END: AWARDS
*********************/

/*********************
START: FOOTER
*********************/
footer {
  background-color: var(--baseDark-color);
}

.footer--content {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.logo--hero img {
  width: 100%;
}

.footer--info {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  row-gap: 1.5rem;
  column-gap: 1.5rem;
  margin-block: 1.5rem;
  max-width: 1200px;
  width: 100%;
  margin-inline: auto;
}

.footer--info p {
  color: rgba(255, 255, 255, 0.5);
}

.footer--info p,
.footer--social ul li a {
  font-weight: 400;
  font-size: var(--text-lg);
  line-height: auto;
  letter-spacing: -0.2px;
}

.footer--social ul {
  display: flex;
  align-items: center;
  column-gap: 4rem;
  row-gap: 1.5rem;
}

.footer--social ul li a {
  color: var(--baseLight-color);
}

/*********************
END: FOOTER
*********************/
/*********************
START: PLATFORM LANDING
*********************/
.reality.realty--platform {
  background: white;
}
.reality.realty--platform .reality--text p {
  color: black;
}
.hero.hero--platform .hero--img {
  width: 40%;
}
.hero.hero--platform {
    margin-block-end: 2rem;
}
/*********************
END: PLATFORM LANDING
*********************/
/*********************
START: MEDIA
*********************/
@media screen and (max-width: 1200px) {
  /* public */
  .title--middle {
    font-size: 60px;
  }

  .title--XSmall {
    font-size: 44px;
  }

  /* workflow */
  .workflow--grid {
    gap: 16px;
  }

  .workflow--card {
    height: auto;
    min-height: 280px;
  }
}

@media screen and (max-width: 992px) {
  /* public */
  .title--middle {
    font-size: 55px;
  }

  .title--XSmall {
    font-size: 40px;
  }

  /* hero */
  .hero {
    padding-block-start: 0;
  }

  .hero--content {
    height: auto;
    justify-content: center;
    row-gap: 2rem;
    flex-direction: column-reverse;
    padding-block-start: 7rem;
  }

  .hero--img {
    width: 65%;
  }

  .hero--text {
    width: 100%;
  }

  /* reality */
  .reality--content {
    flex-direction: column-reverse;
    row-gap: 2rem;
  }

  .reality--text {
    width: 100%;
  }

  .reality--img {
    width: 65%;
  }

  /* shift */
  .shift--content {
    flex-direction: column-reverse;
    row-gap: 2rem;
  }

  .shift--text {
    width: 100%;
  }

  .shift--img {
    width: 65%;
  }

  /* workflow */
  .workflow--grid {
    grid-template-columns: 1fr;
  }

  /* started */
  .started--content {
    flex-direction: column;
    row-gap: 2rem;
  }

  .started--text,
  .started--form {
    width: 100%;
  }
}

@media screen and (max-width: 768px) {
  /* public */
  .title--middle {
    font-size: 50px;
  }

  .title--XSmall {
    font-size: 32px;
  }

  .hero--img {
    width: 75%;
  }

  /* reality */
  .reality--img {
    width: 75%;
  }

  /* shift */
  .shift--img {
    width: 75%;
  }

  /* footer */
  .footer--social ul {
    column-gap: 3rem;
  }
}

@media screen and (max-width: 576px) {
  /* public */
  .title--middle {
    font-size: 42px;
    line-height: 48px;
    letter-spacing: -1px;
  }

  .text--middle {
    line-height: 28px;
    letter-spacing: 0px;
  }

  .header--btn__container a {
    font-size: var(--text-sm);
  }

  /* hero */
  .hero--img {
    width: 85%;
  }
.hero.hero--platform .hero--img {
    width: 50%;
}
  .hero--text p {
    font-size: var(--text-lg);
  }

  /* reality */
  .reality--img {
    width: 85%;
  }

  .reality--text p {
    font-size: var(--text-lg);
  }

  /* shift */
  .shift--img {
    width: 85%;
  }

  .shift--text p {
    font-size: var(--text-lg);
  }

  /* workflow */
  .workflow--card {
    padding: 16px;
    gap: 16px;
  }

  .workflow--card-title {
    font-size: 24px;
  }

  .workflow--card-description {
    font-size: 16px;
    line-height: 22px;
  }

  /* awards */
  .awards {
    padding-block: 4rem;
  }

  .awards::before {
    content: unset;
  }

  /* footer */
  footer {
    padding-block-end: 2rem;
  }

  .footer--info {
    align-items: flex-start;
    flex-direction: column-reverse;
  }

  .footer--social ul {
    flex-direction: column;
    align-items: flex-start;
  }
}

@media screen and (max-width: 425px) {
  /* hero */
  .hero--img {
    width: 100%;
  }

  .hero--text p {
    font-size: var(--text-base);
  }

  /* reality */
  .reality--img {
    width: 100%;
  }

  .reality--text p {
    font-size: var(--text-base);
  }

  /* shift */
  .shift--img {
    width: 100%;
  }

  .shift--text p {
    font-size: var(--text-base);
  }
}

@media screen and (max-width: 385px) {
  /* public */
  .title--middle {
    font-size: 40px;
  }
}

/*********************
END: MEDIA
*********************/
